# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc套包启用验证_套包商品管理,2264,2264-39,sit,bs
主数据平台:运营后台管理系统套包列表、套包启用等接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_special_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 套包状态-草稿
group_status = 0

# 第二步获取套包列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "group_list")
request_body = commonFuc().get_business_data(module, "group_payload", group_status)
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取套包列表中草稿套包的id
group_id = result["data"]["list"][0]["products"][0]["groupId"]

# 第三步进行草稿套包的启用
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url6")
request_body = {"groupIds": [group_id], "type": 0, "remarks": ""}
"""

 场景:套包启用验证_套包商品管理
 用例名称：套包启用验证_套包商品管理
 输出：{"status":1}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 数据库查询套包状态
sql = "SELECT t.status FROM `cmdc-order`.tc_fresenius_group t WHERE groupId = {}".format(group_id)
result = {"status": mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]}

# 获取
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict6")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
